﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Syringe
{

    public class BLOODSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "BLOOD";
        }
    }
    public class AMPSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Amputation Serum";
        }
    }
    public class PAINSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Pain Poison";
        }
    }
    public class GHOSTSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Ghosting Agent";
        }
    }
    public class KNOCKSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Comatose Concoction";
        }
    }
    public class ANTIKNOCKSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Comatose Antidote";
        }
    }
    public class PAINKILLSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Liquid Painkillers";
        }
    }
    public class SUFFSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Suffocation Serum";
        }
    }
    public class GILLSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Fish Gills";
        }
    }
    public class ZCURESyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Zombie Virus Anti-bodies";
        }
    }
    public class GorseSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "GORSE BLOOD";
        }
    }
    public class OilSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "OIL";
        }
    }
    public class InvincibilitySyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Invincibility Potion";
        }
    }
    public class TempSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "Temperature Immunity";
        }
    }
    public class EXTempSyringe : SyringeBehaviour //not used merged with above
    {
        public override string GetLiquidID()
        {
            return "Extreme Temperature Glands";
        }
    }
    public class EXOTICSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "EXOTIC LIQUID";
        }
    }
    public class TRITIUMSyringe : SyringeBehaviour
    {
        public override string GetLiquidID()
        {
            return "TRITIUM";
        }
    }
}
